// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: accelfin-server-dtos.proto

package com.accelfin.server.messaging.dtos;

/**
 * Protobuf type {@code com.accelfin.server.messaging.dtos.AnyDto}
 */
public  final class AnyDto extends
    com.google.protobuf.GeneratedMessage implements
    // @@protoc_insertion_point(message_implements:com.accelfin.server.messaging.dtos.AnyDto)
    AnyDtoOrBuilder {
  // Use AnyDto.newBuilder() to construct.
  private AnyDto(com.google.protobuf.GeneratedMessage.Builder<?> builder) {
    super(builder);
  }
  private AnyDto() {
    canonicalName_ = "";
    value_ = com.google.protobuf.ByteString.EMPTY;
  }

  @java.lang.Override
  public final com.google.protobuf.UnknownFieldSet
  getUnknownFields() {
    return com.google.protobuf.UnknownFieldSet.getDefaultInstance();
  }
  private AnyDto(
      com.google.protobuf.CodedInputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    this();
    int mutable_bitField0_ = 0;
    try {
      boolean done = false;
      while (!done) {
        int tag = input.readTag();
        switch (tag) {
          case 0:
            done = true;
            break;
          default: {
            if (!input.skipField(tag)) {
              done = true;
            }
            break;
          }
          case 10: {
            java.lang.String s = input.readStringRequireUtf8();

            canonicalName_ = s;
            break;
          }
          case 18: {

            value_ = input.readBytes();
            break;
          }
        }
      }
    } catch (com.google.protobuf.InvalidProtocolBufferException e) {
      throw e.setUnfinishedMessage(this);
    } catch (java.io.IOException e) {
      throw new com.google.protobuf.InvalidProtocolBufferException(
          e).setUnfinishedMessage(this);
    } finally {
      makeExtensionsImmutable();
    }
  }
  public static final com.google.protobuf.Descriptors.Descriptor
      getDescriptor() {
    return com.accelfin.server.messaging.dtos.AccelfinServerDtos.internal_static_com_accelfin_server_messaging_dtos_AnyDto_descriptor;
  }

  protected com.google.protobuf.GeneratedMessage.FieldAccessorTable
      internalGetFieldAccessorTable() {
    return com.accelfin.server.messaging.dtos.AccelfinServerDtos.internal_static_com_accelfin_server_messaging_dtos_AnyDto_fieldAccessorTable
        .ensureFieldAccessorsInitialized(
            com.accelfin.server.messaging.dtos.AnyDto.class, com.accelfin.server.messaging.dtos.AnyDto.Builder.class);
  }

  public static final int CANONICAL_NAME_FIELD_NUMBER = 1;
  private volatile java.lang.Object canonicalName_;
  /**
   * <code>optional string canonical_name = 1;</code>
   */
  public java.lang.String getCanonicalName() {
    java.lang.Object ref = canonicalName_;
    if (ref instanceof java.lang.String) {
      return (java.lang.String) ref;
    } else {
      com.google.protobuf.ByteString bs = 
          (com.google.protobuf.ByteString) ref;
      java.lang.String s = bs.toStringUtf8();
      canonicalName_ = s;
      return s;
    }
  }
  /**
   * <code>optional string canonical_name = 1;</code>
   */
  public com.google.protobuf.ByteString
      getCanonicalNameBytes() {
    java.lang.Object ref = canonicalName_;
    if (ref instanceof java.lang.String) {
      com.google.protobuf.ByteString b = 
          com.google.protobuf.ByteString.copyFromUtf8(
              (java.lang.String) ref);
      canonicalName_ = b;
      return b;
    } else {
      return (com.google.protobuf.ByteString) ref;
    }
  }

  public static final int VALUE_FIELD_NUMBER = 2;
  private com.google.protobuf.ByteString value_;
  /**
   * <code>optional bytes value = 2;</code>
   */
  public com.google.protobuf.ByteString getValue() {
    return value_;
  }

  private byte memoizedIsInitialized = -1;
  public final boolean isInitialized() {
    byte isInitialized = memoizedIsInitialized;
    if (isInitialized == 1) return true;
    if (isInitialized == 0) return false;

    memoizedIsInitialized = 1;
    return true;
  }

  public void writeTo(com.google.protobuf.CodedOutputStream output)
                      throws java.io.IOException {
    if (!getCanonicalNameBytes().isEmpty()) {
      com.google.protobuf.GeneratedMessage.writeString(output, 1, canonicalName_);
    }
    if (!value_.isEmpty()) {
      output.writeBytes(2, value_);
    }
  }

  public int getSerializedSize() {
    int size = memoizedSize;
    if (size != -1) return size;

    size = 0;
    if (!getCanonicalNameBytes().isEmpty()) {
      size += com.google.protobuf.GeneratedMessage.computeStringSize(1, canonicalName_);
    }
    if (!value_.isEmpty()) {
      size += com.google.protobuf.CodedOutputStream
        .computeBytesSize(2, value_);
    }
    memoizedSize = size;
    return size;
  }

  private static final long serialVersionUID = 0L;
  public static com.accelfin.server.messaging.dtos.AnyDto parseFrom(
      com.google.protobuf.ByteString data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data);
  }
  public static com.accelfin.server.messaging.dtos.AnyDto parseFrom(
      com.google.protobuf.ByteString data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data, extensionRegistry);
  }
  public static com.accelfin.server.messaging.dtos.AnyDto parseFrom(byte[] data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data);
  }
  public static com.accelfin.server.messaging.dtos.AnyDto parseFrom(
      byte[] data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data, extensionRegistry);
  }
  public static com.accelfin.server.messaging.dtos.AnyDto parseFrom(java.io.InputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessage
        .parseWithIOException(PARSER, input);
  }
  public static com.accelfin.server.messaging.dtos.AnyDto parseFrom(
      java.io.InputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessage
        .parseWithIOException(PARSER, input, extensionRegistry);
  }
  public static com.accelfin.server.messaging.dtos.AnyDto parseDelimitedFrom(java.io.InputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessage
        .parseDelimitedWithIOException(PARSER, input);
  }
  public static com.accelfin.server.messaging.dtos.AnyDto parseDelimitedFrom(
      java.io.InputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessage
        .parseDelimitedWithIOException(PARSER, input, extensionRegistry);
  }
  public static com.accelfin.server.messaging.dtos.AnyDto parseFrom(
      com.google.protobuf.CodedInputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessage
        .parseWithIOException(PARSER, input);
  }
  public static com.accelfin.server.messaging.dtos.AnyDto parseFrom(
      com.google.protobuf.CodedInputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessage
        .parseWithIOException(PARSER, input, extensionRegistry);
  }

  public Builder newBuilderForType() { return newBuilder(); }
  public static Builder newBuilder() {
    return DEFAULT_INSTANCE.toBuilder();
  }
  public static Builder newBuilder(com.accelfin.server.messaging.dtos.AnyDto prototype) {
    return DEFAULT_INSTANCE.toBuilder().mergeFrom(prototype);
  }
  public Builder toBuilder() {
    return this == DEFAULT_INSTANCE
        ? new Builder() : new Builder().mergeFrom(this);
  }

  @java.lang.Override
  protected Builder newBuilderForType(
      com.google.protobuf.GeneratedMessage.BuilderParent parent) {
    Builder builder = new Builder(parent);
    return builder;
  }
  /**
   * Protobuf type {@code com.accelfin.server.messaging.dtos.AnyDto}
   */
  public static final class Builder extends
      com.google.protobuf.GeneratedMessage.Builder<Builder> implements
      // @@protoc_insertion_point(builder_implements:com.accelfin.server.messaging.dtos.AnyDto)
      com.accelfin.server.messaging.dtos.AnyDtoOrBuilder {
    public static final com.google.protobuf.Descriptors.Descriptor
        getDescriptor() {
      return com.accelfin.server.messaging.dtos.AccelfinServerDtos.internal_static_com_accelfin_server_messaging_dtos_AnyDto_descriptor;
    }

    protected com.google.protobuf.GeneratedMessage.FieldAccessorTable
        internalGetFieldAccessorTable() {
      return com.accelfin.server.messaging.dtos.AccelfinServerDtos.internal_static_com_accelfin_server_messaging_dtos_AnyDto_fieldAccessorTable
          .ensureFieldAccessorsInitialized(
              com.accelfin.server.messaging.dtos.AnyDto.class, com.accelfin.server.messaging.dtos.AnyDto.Builder.class);
    }

    // Construct using com.accelfin.server.messaging.dtos.AnyDto.newBuilder()
    private Builder() {
      maybeForceBuilderInitialization();
    }

    private Builder(
        com.google.protobuf.GeneratedMessage.BuilderParent parent) {
      super(parent);
      maybeForceBuilderInitialization();
    }
    private void maybeForceBuilderInitialization() {
      if (com.google.protobuf.GeneratedMessage.alwaysUseFieldBuilders) {
      }
    }
    public Builder clear() {
      super.clear();
      canonicalName_ = "";

      value_ = com.google.protobuf.ByteString.EMPTY;

      return this;
    }

    public com.google.protobuf.Descriptors.Descriptor
        getDescriptorForType() {
      return com.accelfin.server.messaging.dtos.AccelfinServerDtos.internal_static_com_accelfin_server_messaging_dtos_AnyDto_descriptor;
    }

    public com.accelfin.server.messaging.dtos.AnyDto getDefaultInstanceForType() {
      return com.accelfin.server.messaging.dtos.AnyDto.getDefaultInstance();
    }

    public com.accelfin.server.messaging.dtos.AnyDto build() {
      com.accelfin.server.messaging.dtos.AnyDto result = buildPartial();
      if (!result.isInitialized()) {
        throw newUninitializedMessageException(result);
      }
      return result;
    }

    public com.accelfin.server.messaging.dtos.AnyDto buildPartial() {
      com.accelfin.server.messaging.dtos.AnyDto result = new com.accelfin.server.messaging.dtos.AnyDto(this);
      result.canonicalName_ = canonicalName_;
      result.value_ = value_;
      onBuilt();
      return result;
    }

    public Builder mergeFrom(com.google.protobuf.Message other) {
      if (other instanceof com.accelfin.server.messaging.dtos.AnyDto) {
        return mergeFrom((com.accelfin.server.messaging.dtos.AnyDto)other);
      } else {
        super.mergeFrom(other);
        return this;
      }
    }

    public Builder mergeFrom(com.accelfin.server.messaging.dtos.AnyDto other) {
      if (other == com.accelfin.server.messaging.dtos.AnyDto.getDefaultInstance()) return this;
      if (!other.getCanonicalName().isEmpty()) {
        canonicalName_ = other.canonicalName_;
        onChanged();
      }
      if (other.getValue() != com.google.protobuf.ByteString.EMPTY) {
        setValue(other.getValue());
      }
      onChanged();
      return this;
    }

    public final boolean isInitialized() {
      return true;
    }

    public Builder mergeFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      com.accelfin.server.messaging.dtos.AnyDto parsedMessage = null;
      try {
        parsedMessage = PARSER.parsePartialFrom(input, extensionRegistry);
      } catch (com.google.protobuf.InvalidProtocolBufferException e) {
        parsedMessage = (com.accelfin.server.messaging.dtos.AnyDto) e.getUnfinishedMessage();
        throw e.unwrapIOException();
      } finally {
        if (parsedMessage != null) {
          mergeFrom(parsedMessage);
        }
      }
      return this;
    }

    private java.lang.Object canonicalName_ = "";
    /**
     * <code>optional string canonical_name = 1;</code>
     */
    public java.lang.String getCanonicalName() {
      java.lang.Object ref = canonicalName_;
      if (!(ref instanceof java.lang.String)) {
        com.google.protobuf.ByteString bs =
            (com.google.protobuf.ByteString) ref;
        java.lang.String s = bs.toStringUtf8();
        canonicalName_ = s;
        return s;
      } else {
        return (java.lang.String) ref;
      }
    }
    /**
     * <code>optional string canonical_name = 1;</code>
     */
    public com.google.protobuf.ByteString
        getCanonicalNameBytes() {
      java.lang.Object ref = canonicalName_;
      if (ref instanceof String) {
        com.google.protobuf.ByteString b = 
            com.google.protobuf.ByteString.copyFromUtf8(
                (java.lang.String) ref);
        canonicalName_ = b;
        return b;
      } else {
        return (com.google.protobuf.ByteString) ref;
      }
    }
    /**
     * <code>optional string canonical_name = 1;</code>
     */
    public Builder setCanonicalName(
        java.lang.String value) {
      if (value == null) {
    throw new NullPointerException();
  }
  
      canonicalName_ = value;
      onChanged();
      return this;
    }
    /**
     * <code>optional string canonical_name = 1;</code>
     */
    public Builder clearCanonicalName() {
      
      canonicalName_ = getDefaultInstance().getCanonicalName();
      onChanged();
      return this;
    }
    /**
     * <code>optional string canonical_name = 1;</code>
     */
    public Builder setCanonicalNameBytes(
        com.google.protobuf.ByteString value) {
      if (value == null) {
    throw new NullPointerException();
  }
  checkByteStringIsUtf8(value);
      
      canonicalName_ = value;
      onChanged();
      return this;
    }

    private com.google.protobuf.ByteString value_ = com.google.protobuf.ByteString.EMPTY;
    /**
     * <code>optional bytes value = 2;</code>
     */
    public com.google.protobuf.ByteString getValue() {
      return value_;
    }
    /**
     * <code>optional bytes value = 2;</code>
     */
    public Builder setValue(com.google.protobuf.ByteString value) {
      if (value == null) {
    throw new NullPointerException();
  }
  
      value_ = value;
      onChanged();
      return this;
    }
    /**
     * <code>optional bytes value = 2;</code>
     */
    public Builder clearValue() {
      
      value_ = getDefaultInstance().getValue();
      onChanged();
      return this;
    }
    public final Builder setUnknownFields(
        final com.google.protobuf.UnknownFieldSet unknownFields) {
      return this;
    }

    public final Builder mergeUnknownFields(
        final com.google.protobuf.UnknownFieldSet unknownFields) {
      return this;
    }


    // @@protoc_insertion_point(builder_scope:com.accelfin.server.messaging.dtos.AnyDto)
  }

  // @@protoc_insertion_point(class_scope:com.accelfin.server.messaging.dtos.AnyDto)
  private static final com.accelfin.server.messaging.dtos.AnyDto DEFAULT_INSTANCE;
  static {
    DEFAULT_INSTANCE = new com.accelfin.server.messaging.dtos.AnyDto();
  }

  public static com.accelfin.server.messaging.dtos.AnyDto getDefaultInstance() {
    return DEFAULT_INSTANCE;
  }

  private static final com.google.protobuf.Parser<AnyDto>
      PARSER = new com.google.protobuf.AbstractParser<AnyDto>() {
    public AnyDto parsePartialFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
        return new AnyDto(input, extensionRegistry);
    }
  };

  public static com.google.protobuf.Parser<AnyDto> parser() {
    return PARSER;
  }

  @java.lang.Override
  public com.google.protobuf.Parser<AnyDto> getParserForType() {
    return PARSER;
  }

  public com.accelfin.server.messaging.dtos.AnyDto getDefaultInstanceForType() {
    return DEFAULT_INSTANCE;
  }

}

